## ebsmount 0.94

=== Makefile ===
# standard Python project Makefile
progname = $(shell awk '/^Source/ {print $$2}' debian/control)
name=

prefix = /usr/local
PATH_BIN = $(prefix)/bin
PATH_ETC = $(destdir)/etc
PATH_INSTALL_LIB = $(prefix)/lib/$(progname)
PATH_UDEV_RULES = $(destdir)/lib/udev/rules.d

all: help

debug:
	$(foreach v, $V, $(warning $v = $($v)))
	@true

### Extendable targets

# target: help
help:
	@echo '=== Targets:'
	@echo 'install   [ prefix=path/to/usr ] # default: prefix=$(value prefix)'
	@echo 'uninstall [ prefix=path/to/usr ]'
	@echo
	@echo 'clean'

# DRY macros
truepath = $(shell echo $1 | sed -e 's/^debian\/$(progname)//')
libpath = $(call truepath,$(PATH_INSTALL_LIB))/$$(basename $1)
subcommand = $(progname)-$$(echo $1 | sed 's|.*/||; s/^cmd_//; s/_/-/g; s/.py$$//')
echo-do = echo $1; $1

# first argument: code we execute if there is just one executable module
# second argument: code we execute if there is more than on executable module
define with-py-executables
	@modules=$$(find -maxdepth 1 -type f -name '*.py' -perm -100); \
	modules_len=$$(echo $$modules | wc -w); \
	if [ $$modules_len = 1 ]; then \
		module=$$modules; \
		$(call echo-do, $1); \
	elif [ $$modules_len -gt 1 ]; then \
		for module in $$modules; do \
			$(call echo-do, $2); \
		done; \
	fi;
endef

# set path bin in udev rules
%.rules: %.rules.in
	sed "s|@PATH_BIN@|$(call truepath,$(PATH_BIN))|g" $< > $@

# target: install
install: 85-ebsmount.rules
	@echo
	@echo \*\* CONFIG: prefix = $(prefix) \*\*
	@echo 

	install -d $(PATH_BIN) $(PATH_ETC) $(PATH_INSTALL_LIB) $(PATH_UDEV_RULES)
	cp *.conf $(PATH_ETC)
	cp *.py $(PATH_INSTALL_LIB)
	cp *.rules $(PATH_UDEV_RULES)

	$(call with-py-executables, \
	  ln -fs $(call libpath, $$module) $(PATH_BIN)/$(progname), \
	  ln -fs $(call libpath, $$module) $(PATH_BIN)/$(call subcommand, $$module))

# target: uninstall
uninstall:
	rm -rf $(PATH_INSTALL_LIB)
	rm -f $(PATH_ETC)/ebsmount.conf
	rm -f $(PATH_UDEV_RULES)/85-ebsmount.rules

	$(call with-py-executables, \
	  rm -f $(PATH_BIN)/$(progname), \
	  rm -f $(PATH_BIN)/$(call subcommand, $$module))

# target: clean
clean:
	rm -f *.pyc *.pyo *.rules _$(progname)

## ebsmount 0.92

=== debian/changelog ===
ebsmount (0.92-0ubuntu1) maverick; urgency=low

  * Initial release.
  * functionality is disabled by default.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 16 Jun 2010 09:38:30 -0400

=== debian/control ===
Source: ebsmount
Section: misc
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Build-Depends: debhelper (>= 5)
Uploaders: Scott Moser <smoser@ubuntu.com>
XSBC-Original-Maintainer: Alon Swartz <alon@turnkeylinux.org>
Standards-Version: 3.8.4

Package: ebsmount
Architecture: all
Depends: python (>= 2.4), udev, ${misc:Depends}
Description: Automatically mount EC2/Eucalyptus EBS devices
 Automatically mounts EBS (Elastic Block Storage) devices when they are
 attached, supports formatted devices as well as partitions, uniquely
 identifiable mount points, and hooking scripts execution upon mount.

=== debian/rules ===
#! /usr/bin/make -f

progname=$(shell awk '/^Source/ {print $$2}' debian/control)
buildroot=debian/$(progname)
prefix=$(buildroot)/usr

clean:
	dh_clean
	rm -f 85-ebsmount.rules

build:
	mkdir -p $(prefix)

install: 
	dh_testroot
	dh_clean -k
	dh_testdir
	dh_installdirs
	dh_install
	$(MAKE) install prefix=$(prefix) destdir=$(buildroot)
	dh_link
	dh_install debian/ebsmount.conf $(destdir)/etc

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs docs/
	dh_installman man/ebsmount-manual.1 man/ebsmount-udev.8
	dh_installchangelogs
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: install

binary: binary-indep binary-arch
.PHONY: clean binary-indep binary-arch binary install

## ebsmount 0.94

=== debian/changelog ===
ebsmount (0.94-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * Change build structure to satisfy Lintian.
  * Bump Standards-Version to 3.9.3.

 -- Logan Rosen <logatronico@gmail.com>  Sun, 24 Jun 2012 23:30:38 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 5)
 Uploaders: Scott Moser <smoser@ubuntu.com>
 XSBC-Original-Maintainer: Alon Swartz <alon@turnkeylinux.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 
 Package: ebsmount
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,10 @@
 	dh_clean
 	rm -f 85-ebsmount.rules
 
-build:
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp:
 	mkdir -p $(prefix)
 
 install:

=== debian/watch ===
version=3
http://github.com/turnkeylinux/ebsmount/downloads /downloads/turnkeylinux/ebsmount/ebsmount-([\d.]+).tar.gz
